function mes_capas=MES_select_capa(data)

// Affichage du reseau de selection pour les capas
// Le reseau froid est affich en gris
// Le reseau selectionn en couleur

// 1. Selection du rseau
	n=MES_select_network(data);
	n0=MES_find_network(data,0,0);
	
	nb_courbes_2=size(data.network(n).curve);
	nb_courbes_1=size(data.network(n0).curve);
	quiescent=MES_get_quiescent(data,n);
	Vq=quiescent(3);
	Iq=quiescent(4);
	

// 2. Affichage du rseau froid
titre="I-V Network";
affichage=[0,0,700,400];
fenetre=81;
DISPLAY_set_win(fenetre,affichage(1),affichage(2),affichage(3),affichage(4));
xbasc();
set("figure_style","new");

xname(titre);


// for i=1:(nb_courbes_2+nb_courbes_1+1),
// 	plot2d(Vq,Iq*1000,-10);
// end;


fig=get("current_figure");

fig.children(1).title.font_size=3;	
fig.children(1).axes_visible="on"; // makes the axes visible
fig.children(1).font_size=2; //set the tics label font size
fig.children(1).sub_tics=[0,1];//dfinit le nombre de subdivision sur les axes.
fig.children(1).labels_font_color=1;//fixe la couleur des nombres sur les axes
fig.children(1).grid=[1,1];//fixe la couleur des grilles.
fig.children(1).box="on";//enlve le cadre sur les axes.
fig.children(1).isoview="off";
fig.children(1).thickness=2;


// Affichage du point de repos

	plot2d(Vq,Iq*1000,-14);	
	p=get("hdl");
	p.children(1).thickness=1;
	p.children(1).mark_background = 5;
	
// Affichage du reseau froid	

	for i=1:nb_courbes_1,
		nb_pts=size(data.network(n0).curve(i).plot);
		x_p=[];
		y_p=[];
		for j=1:nb_pts,
			x_p=[x_p;data.network(n0).curve(i).plot(j).v2];
			y_p=[y_p;data.network(n0).curve(i).plot(j).i2];		
		end;
		plot2d(x_p,1000*y_p,2);
		p=get("hdl");
		p.children(1).thickness=1;
		p.children(1).line_style=2;
	end;

// Affichage du rseau chaud

	for i=1:nb_courbes_2,
		nb_pts=size(data.network(n).curve(i).plot);
		x_p=[];
		y_p=[];
		for j=1:nb_pts,
			x_p=[x_p;data.network(n).curve(i).plot(j).v2];
			y_p=[y_p;data.network(n).curve(i).plot(j).i2];		
		end;
		plot2d(x_p,1000*y_p,5);
		
		// Ajout du texte Vgs = ...
		xstring(max(x_p),1000*max(y_p),"  Vgs = "+string(int(data.network(n).curve(i).plot(1).v1*10)/10));
		// p=get("hdl");
		// Warning sous linux
		// p.font_size=2;
		// p.font_style=10;
		// p.font_angle=315;
		// p.font_foreground=5;
	end;

// Affichage du nuage de points valides

// av_capa : [X,Y,C,P]
	
	av_capa=[];
	for i=1:nb_courbes_2,
		nb_pts=size(data.network(n).curve(i).plot);
		for j=1:nb_pts,
			if data.network(n).curve(i).plot(j).Cgs~=[] then,
				av_capa=[av_capa;[data.network(n).curve(i).plot(j).v2,1000*data.network(n).curve(i).plot(j).i2,i,j]];
			end;
		end;
	end;
	
	if av_capa==[] then,
		x_message(["Multi-biases not applied to this network"]);
		mes_capas=[];
		return(mes_capas); 
	else,
		x_message(["1D Capacitor selection";"----------";"Select points on the network with a left click";"Finish with a right click"]);
	end;
	
	plot2d(av_capa(:,1),av_capa(:,2),-9);
	p=get("hdl");
	p.children(1).thickness=1;
	p.children(1).mark_style = 3;
	p.children(1).mark_size_unit = "point"
	p.children(1).mark_size = 3;
	
	

// Si av_capa=[] => Pas d'extrac possible

	

// Sinon

// Liste de gestion des capas
// se_capa=[coubre,point]
se_capa=0*[1:nb_courbes_2].';
// se_capa=[se_capa,se_capa*0];

// ### Affichage du cycle de charge
	// Active le point central
		erreur=abs(av_capa(:,1)-Vq)+abs(av_capa(:,2)-Iq*1000);
		i=av_capa(find(erreur==min(erreur)),:);
		coube=i(1);point=i(2);
		plot2d(i(1),i(2),-9);
		p=get("hdl");
		se_capa(i(3))=i(4);
	






tri_capa_fini=%F
toto=[];
selection=%F;





while (tri_capa_fini==%F) do,
	rep=xgetmouse(0,[%F,%F]);
	
	if ((rep(3)==5)|(rep(3)==2)) then,
		tri_capa_fini=%T;
	else
		if ((rep(3)==0)|(rep(3)==3)) then,
				// Recupere les valeurs
				// disp(rep);
				x=rep(1);y=rep(2);
				
				// Quel est le point le plus proche ?
				erreur=abs((av_capa(:,1)-x)/(max(av_capa(:,1))-min(av_capa(:,1))))+abs((av_capa(:,2)-y)/(max(av_capa(:,2))-min(av_capa(:,2))));
				i=av_capa(find(erreur==min(erreur)),:);
				
				
				// Mise a jour des points selectionns (1 par courbe)
				if se_capa(i(3))==i(4) then,
					
					ind=find(~((p.children(1).data(:,1)==i(1))&((p.children(1).data(:,2)==i(2)))));
					if ind~=[] then,
						se_capa(i(3))=0;
						p.children(1).data=p.children(1).data(ind,:);
					end;
				else
					// Efface le point precedent
					if se_capa(i(3))~=0 then,
						// Effacement du point precedent
						// Recupere la valeur => ia(1) & ia(2)
						ind=find(((av_capa(:,3)==i(3))&(av_capa(:,4)==se_capa(i(3)))));
						ia=av_capa(ind,:);
						// Trouve ou il est dans l'affichage
						ind=find(~ ( (p.children(1).data(:,1)==ia(1))&(p.children(1).data(:,2)==ia(2))  )    );
						p.children(1).data=[p.children(1).data(ind,:);[i(1),i(2)]];
					else,
					// Affichage et mise  jour
						p.children(1).data=[p.children(1).data;[i(1),i(2)]];
					end;
					se_capa(i(3))=i(4);
					
					
				end;
				
				

		end;
	end;

end;


// === UPDATE AOUT 2008 ====
	// Prise en compte des commandes intrinsques
	//
	
	

	rep=x_mdialog('Access resistor values',['Rg';'Rd';'Rs'],['0';'0';'0'])
	Rg=evstr(rep(1))
	Rd=evstr(rep(2))
	Rs=evstr(rep(3))
	if rep ==[] then,
		Rg=0;Rd=0;Rs=0;
	end;
	//
	// =========================


// ###### Liste des points dans se_capa
mes_capas=[];
for i=1:length(se_capa),
	if se_capa(i)~=0 then,
		Vgs=data.network(n).curve(i).plot(se_capa(i)).v1;
		Vds=data.network(n).curve(i).plot(se_capa(i)).v2;
		Ig=data.network(n).curve(i).plot(se_capa(i)).i1;
		Id=data.network(n).curve(i).plot(se_capa(i)).i2;
		
		Vgd=Vgs-Vds;
		
		// Correction en intrinsque
		Vgs=Vgs-Rg*Ig-Rs*Id;
		Vgd=Vgd+Rd*Id-Rg*Ig;
		
		Cgs=data.network(n).curve(i).plot(se_capa(i)).Cgs;
		Cgd=data.network(n).curve(i).plot(se_capa(i)).Cgd;		
		mes_capas=[mes_capas;[Vgs,Cgs,Vgd,Cgd]];
	end;
end;

// end;

endfunction
